Skip to content

List Time Blockers

GET
/businesses/{businessId}/time-blockers

List Time Blockers within a Business

startDate
string format: date-time

Start of date range filter

endDate
string format: date-time

End of date range filter (requires startDate)

staffId
string format: uuid

ID of the staff to filter time blockers by

List of time blockers

Media typeapplication/json
object
data
Array<object>
object
id

Unique identifier across the platform.

string format: uuid
createdAt

Time when the resource was created (ISO 8601 format).

string format: date-time
updatedAt

Time when the resource was last updated (ISO 8601 format).

string format: date-time
staffId

The ID of the Staff this resource belongs to.

string format: uuid
startDate

Start date and time of the time blocker (ISO 8601 format).

string format: date-time
endDate

End date and time of the time blocker (ISO 8601 format).

string format: date-time
reason

Reason for the time blocker.

string
nullable

Example generated

{
"data": [
{
"staffId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"startDate": "2026-04-15T12:00:00Z",
"endDate": "2026-04-15T12:00:00Z",
"reason": "example"
}
]
}

The query parameters are invalid.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: BadRequestError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 400,
"type": "BadRequestError",
"title": "startDate must be before endDate"
}
}

The API key is missing or invalid, or the Business cannot be accessed with it.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: UnauthorizedError BusinessArchivedError BusinessDisabledError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 403,
"type": "UnauthorizedError",
"title": "Invalid API token"
}
}

The Business does not exist.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: NotFoundError BusinessNotFoundError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 404,
"type": "BusinessNotFoundError",
"title": "Business not found"
}
}